gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.NotebookPageAccessible

Contents

- Exported types
- Methods
  - invalidate
  - new

Description

No description available in the introspection data.

Synopsis

- newtype NotebookPageAccessible = NotebookPageAccessible (ManagedPtr NotebookPageAccessible)
- class (GObject o, IsDescendantOf NotebookPageAccessible o) => IsNotebookPageAccessible o
- toNotebookPageAccessible :: (MonadIO m, IsNotebookPageAccessible o) => o -> m NotebookPageAccessible
- notebookPageAccessibleInvalidate :: (HasCallStack, MonadIO m, IsNotebookPageAccessible a) => a -> m ()
- notebookPageAccessibleNew :: (HasCallStack, MonadIO m, IsNotebookAccessible a, IsWidget b) => a -> b -> m NotebookPageAccessible

# Exported types

newtype NotebookPageAccessible Source #

Memory-managed wrapper type.

Constructors

NotebookPageAccessible (ManagedPtr NotebookPageAccessible) |

#### Instances

Instances details

Eq NotebookPageAccessible Source # |
Instance details Defined in GI.Gtk.Objects.NotebookPageAccessible Methods (==) :: NotebookPageAccessible -> NotebookPageAccessible -> Bool Source # (/=) :: NotebookPageAccessible -> NotebookPageAccessible -> Bool Source #
GObject NotebookPageAccessible Source # |
Instance details Defined in GI.Gtk.Objects.NotebookPageAccessible
ManagedPtrNewtype NotebookPageAccessible Source # |
Instance details Defined in GI.Gtk.Objects.NotebookPageAccessible Methods toManagedPtr :: NotebookPageAccessible -> ManagedPtr NotebookPageAccessible Source #
TypedObject NotebookPageAccessible Source # |
Instance details Defined in GI.Gtk.Objects.NotebookPageAccessible Methods glibType :: IO GType Source #
HasParentTypes NotebookPageAccessible Source # |
Instance details Defined in GI.Gtk.Objects.NotebookPageAccessible
IsGValue (Maybe NotebookPageAccessible) Source # | Convert `NotebookPageAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.NotebookPageAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe NotebookPageAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe NotebookPageAccessible) Source #
type ParentTypes NotebookPageAccessible Source # |
Instance details Defined in GI.Gtk.Objects.NotebookPageAccessible type ParentTypes NotebookPageAccessible = '[Object, Object, Component]

class (GObject o, IsDescendantOf NotebookPageAccessible o) => IsNotebookPageAccessible o Source #

Type class for types which can be safely cast to `NotebookPageAccessible`, for instance with `toNotebookPageAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf NotebookPageAccessible o) => IsNotebookPageAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.NotebookPageAccessible

toNotebookPageAccessible :: (MonadIO m, IsNotebookPageAccessible o) => o -> m NotebookPageAccessible Source #

Cast to `NotebookPageAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, invalidate, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize.

## invalidate

notebookPageAccessibleInvalidate :: (HasCallStack, MonadIO m, IsNotebookPageAccessible a) => a -> m () Source #

No description available in the introspection data.

## new

notebookPageAccessibleNew :: (HasCallStack, MonadIO m, IsNotebookAccessible a, IsWidget b) => a -> b -> m NotebookPageAccessible Source #

No description available in the introspection data.